Bug 1474599 - Default value of openshift_storageclass_provisioner is wrong
Default value of openshift_storageclass_provisioner is wrong
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.6.0
Unspecified Unspecified
medium Severity medium
: ---
: 3.7.0
Assigned To: Kenny Woodson
Johnny Liu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 22:52 EDT by Gan Huang
Modified: 2017-11-28 17:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-28 17:05:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gan Huang 2017-07-24 22:52:06 EDT
Description of problem:
Installer failed on GCE:

TASK [openshift_default_storage_class : Ensure storageclass object] ************
Tuesday 25 July 2017  02:06:55 +0000 (0:00:00.123)       0:36:46.850 ********** 
fatal: [qe-ghuang-master-etcd-zone1-1.0725-x7i.qe.rhcloud.com]: FAILED! => {
    "changed": false, 
    "failed": true
}

MSG:

value of provisioner must be one of: aws-ebs,gce-pd,glusterfs,cinder, got: kubernetes.io/gce-pd

Version-Release number of the following components:
openshift-ansible-3.6.169-1.git.0.440d532.el7.noarch.rpm

How reproducible:
always

Steps to Reproduce:
1. Trigger installation on GCE without setting openshift_storageclass_provisioner


Actual results:
TASK [openshift_default_storage_class : Ensure storageclass object] ************
Tuesday 25 July 2017  02:06:55 +0000 (0:00:00.123)       0:36:46.850 ********** 
fatal: [qe-ghuang-master-etcd-zone1-1.0725-x7i.qe.rhcloud.com]: FAILED! => {
    "changed": false, 
    "failed": true
}

MSG:

value of provisioner must be one of: aws-ebs,gce-pd,glusterfs,cinder, got: kubernetes.io/gce-pd


Expected results:
The default value for openshift_storageclass_provisioner should be working well, and no errors during the installation.

Additional info:
Workaround:
openshift_storageclass_provisioner=gce-pd
Comment 1 Scott Dodson 2017-07-24 22:56:37 EDT
Kenny, Is this https://github.com/openshift/openshift-ansible/pull/4843 ?
Comment 2 Kenny Woodson 2017-07-25 09:39:01 EDT
This was fixed here: https://github.com/openshift/openshift-ansible/pull/4849 and then backported to 3.6 here: https://github.com/openshift/openshift-ansible/pull/4852.

This must have been an older build as I received word that this was fixed from a few developers yesterday after these PRs merged.
Comment 3 Gan Huang 2017-07-25 21:48:37 EDT
Works on both AWS and GCE

Verified with openshift-ansible-3.6.170-1.git.0.aef02f6.el7.noarch.rpm
Comment 7 errata-xmlrpc 2017-11-28 17:05:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3188

Note You need to log in before you can comment on or make changes to this bug.